package com.goafanti.demand.bo;

import java.util.Date;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.goafanti.common.constant.AFTConstants;

public class ObjectInterestListBo {
	/**
	 * ID
	 */
	private String id;
	/**
	 * 类型
	 */
	private Integer type;
	/**
	 * 名称
	 */
	private String name;
	/**
	 * 时间
	 */
	private Date createTime;
	/**
	 * 兴趣数
	 */
	private String countInterest;
	
	private String uid;
	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getCreateTimeFormattedDate() {
		if (this.createTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getCreateTime(), AFTConstants.YYYYMMDDHHMMSS);
		}
	}
	public String getCountInterest() {
		return String.valueOf(Integer.valueOf(countInterest)+20);
	}
	public void setCountInterest(String countInterest) {
		this.countInterest = countInterest;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getUid() {
		return uid;
	}
	public void setUid(String uid) {
		this.uid = uid;
	}
	
}
